---
apiVersion: rbac.authorization.k8s.io/v1
kind: Role
metadata:
  creationTimestamp: "2022-03-08T10:14:18Z"
  managedFields:
  - apiVersion: rbac.authorization.k8s.io/v1
    fieldsType: FieldsV1
    fieldsV1:
      f:rules: {}
    manager: cluster-version-operator
    operation: Update
    time: "2022-03-08T10:14:18Z"
  name: machine-api-termination-handler
  namespace: openshift-machine-api
  resourceVersion: "1977"
  selfLink: /apis/rbac.authorization.k8s.io/v1/namespaces/openshift-machine-api/roles/machine-api-termination-handler
  uid: d85b75da-d869-4abe-bd56-a390f9ce3dbf
rules:
- apiGroups:
  - machine.openshift.io
  resources:
  - machines
  verbs:
  - list
  - delete
- apiGroups:
  - security.openshift.io
  resourceNames:
  - hostnetwork
  resources:
  - securitycontextconstraints
  verbs:
  - use
